#include "deftype.h"

void bsort(int num[],int n)
/* 数値のバブルソート：大->小 */
{
int nn;
unint i,c;
	do {
		c=0; /* 入れ換え回数 */
		for (i=0;i<n-1;i++) {
			if (num[i]<num[i+1]) {
				nn=num[i];
				num[i]=num[i+1];
				num[i+1]=nn;
				c++;
			}
		}
	} while (c>0); /* 入れ換え回数が０なら終了 */
}

#if 0
main()
{
int i;
int num[10];
int n=10;
	srand2();
	for (i=0;i<n;i++) num[i]=rand2(11);
	for (i=0;i<n;i++) printf2("[%d:%d]",i,num[i]);
	printf2("\n");
	bsort(num,n);
	for (i=0;i<n;i++) printf2("[%d:%d]",i,num[i]);
	printfs("\n");
}
#endif
